package sample;

import java.io.File;

import org.jivesoftware.messenger.container.Plugin;
import org.jivesoftware.messenger.container.PluginManager;

public class SamplePlugin implements Plugin {
    private PluginManager pluginManager;

    public SamplePlugin() {        
    }

    public String getName() {
        return pluginManager.getName(this);
    }

    public String getDescription() {
        return pluginManager.getDescription(this);
    }

    public String getAuthor() {
        return pluginManager.getAuthor(this);
    }

    public String getVersion() {
        return pluginManager.getVersion(this);
    }
    
    public void initializePlugin(PluginManager manager, File pluginDirectory) {        
        pluginManager = manager;        
    }
    
    public void destroyPlugin() {
        pluginManager = null;
    }
}